ZIP_REGISTER_PROGRESS_CALLBACK(3)

NAME
zip_register_progress_callback - provide updates during zip_close (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
typedef void (*zip_progress_callback_t)(double);
void
zip_register_progress_callback(zip_t *archive, zip_progress_callback_t progress_callback);

DESCRIPTION
The function zip_register_progress_callback() is the obsolete version of zip_register_progress_callback_with_state(3).

The zip_register_progress_callback() function registers a callback function progress_callback for the zip archive archive. This function is called during zip_close(3) after every zip archive entry that's completely written to disk. The value is a double in the range from 0.0 to 1.0. This can be used to provide progress indicators for user interfaces.

SEE ALSO
libzip(3), zip_close(3)

HISTORY
zip_register_progress_callback() was added in libzip 1.2.0. It was deprecated in libzip 1.3.0, use zip_register_progress_callback_with_state() instead.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>